Bug 242805 - [NEW PORT] devel/py-factory-boy: Create comlex objects for testing purposes
Summary: [NEW PORT] devel/py-factory-boy: Create comlex objects for testing purposes
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ben Woods
URL:
Keywords: patch, patch-ready
Depends on: 242803
Blocks: 242806
  Show dependency treegraph
 
Reported: 2019-12-22 15:34 UTC by Goran Mekić
Modified: 2019-12-24 08:13 UTC (History)
1 user (show)

See Also:


Attachments
py-factory-boy.diff (3.16 KB, patch)
2019-12-22 15:34 UTC, Goran Mekić
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Goran Mekić 2019-12-22 15:34:09 UTC
Created attachment 210144 [details]
py-factory-boy.diff

QA:

  * portlint: OK (looks fine.)
  * testport: OK (poudriere: 12.0, amd64 tested)
  * maketest: OK (385 passed tests)
Comment 1 commit-hook freebsd_committer 2019-12-23 23:05:16 UTC
A commit references this bug:

Author: woodsb02
Date: Mon Dec 23 23:04:54 UTC 2019
New revision: 520750
URL: https://svnweb.freebsd.org/changeset/ports/520750

Log:
  Add new port devel/py-factory-boy

  As a fixtures replacement tool, it aims to replace static, hard to maintain
  fixtures with easy-to-use factories for complex object. Instead of building an
  exhaustive test setup with every possible combination of corner cases,
  factory_boy allows you to use objects customized for the current test, while
  only declaring the test-specific fields

  WWW: https://github.com/FactoryBoy/factory_boy

  PR:		242805
  Submitted by:	Goran Meki? <meka@tilda.center>

Changes:
  head/devel/Makefile
  head/devel/py-factory-boy/
  head/devel/py-factory-boy/Makefile
  head/devel/py-factory-boy/distinfo
  head/devel/py-factory-boy/pkg-descr
Comment 2 Ben Woods freebsd_committer 2019-12-23 23:05:35 UTC
Committed - thanks!
Comment 3 commit-hook freebsd_committer 2019-12-23 23:38:20 UTC
A commit references this bug:

Author: woodsb02
Date: Mon Dec 23 23:38:03 UTC 2019
New revision: 520756
URL: https://svnweb.freebsd.org/changeset/ports/520756

Log:
  devel/py-factory-boy: Correct license and change TEST_DEPENDS to use
  converters/py-text-unidecode instead of textproc/py-text-unidecode

  PR:		242805

Changes:
  head/devel/py-factory-boy/Makefile
Comment 4 Ben Woods freebsd_committer 2019-12-23 23:52:39 UTC
make test is now failing.
Goran - I've got to head to work now, if you've got a moment are you able to investigate why?
Comment 5 Ben Woods freebsd_committer 2019-12-24 08:09:54 UTC
(In reply to Ben Woods from comment #4)
This fix is to add the following to the port Makefile:
TEST_DEPENDS+=${PYTHON_PKGNAMEPREFIX}dateutil>=0:devel/py-dateutil@${PY_FLAVOR}
Comment 6 commit-hook freebsd_committer 2019-12-24 08:12:35 UTC
A commit references this bug:

Author: woodsb02
Date: Tue Dec 24 08:12:06 UTC 2019
New revision: 520786
URL: https://svnweb.freebsd.org/changeset/ports/520786

Log:
  devel/py-factory-boy: Fix PORTNAME to match PyPI, fix make test

  PR:		242805
  Reported by:	koobs

Changes:
  head/devel/py-factory-boy/Makefile
Comment 7 Ben Woods freebsd_committer 2019-12-24 08:13:05 UTC
Fixed - thanks!